// This stylesheet is a fork created to change selectors for an AB test without impacting other pages.

//sass-lint:disable-all

@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

body {
  background: $just-commit-bg;
  -webkit-font-smoothing: antialiased;
}

.experiment-outer-wrapper {
  min-height: 80vh;
}

.just-commit_reduce-cycle-time,
.just-commit_secure-apps,
.just-commit_lower-tco {
  background: $color-white;

  .footer {
    margin-top: 0;
  }
}

.experiment-test {

  h1,
  h2,
  h3 {
    font-weight: 700;
  }

  .main-content,
  .main-content p,
  .main-content ul,
  .main-content i {
    color: $color-gray-dark;
  }

  .mktoInvalid {
    // for form validation errors
    border: 2px solid $color-red;
  }

  .just-commit-highlight-row {
    background: $color-gray-medium;
  }

  .just-commit-logo-wrap {
    padding-bottom: 30px;

    .customer-logos-container p {
      color: $color-gray;
      opacity: 1;
    }
  }

  .just-commit-sales-wrap {
    background: $just-commit-bg;
    padding: 40px 40px 80px 40px;

    h2 {
      color: $color-white;
    }
  }

  .header-hero-banner {
    background: linear-gradient(to top right, #1D1237, #523E8E);
    width: 100%;
    color: $color-white;
    padding: 50px 0 35px;
    overflow: hidden;
    position: relative;

    .container {
      position: relative;
      z-index: 5;
    }

    &--reduce-cycle {

      h1 {
        line-height: 1;
        margin-top: 0;
        max-width: 100%;
        width: 800px;
      }

      h4 {
        max-width: 100%;
        width: 800px;
      }

      img {
        margin-top: 20px;
        max-height: 250px;
      }

    }
  }

  .form-lightbox-open {
    cursor: pointer;
    font-weight: 700;
  }


  /* ======= BEGIN NEW ADDITIONS ======= */

  .bl-modal-content .form-container {
    margin: 0;
    overflow: visible;
  }

  h3 {
    font-weight: 400;
    margin-top: 0;
  }

  .sub-wrapper {
    padding: 40px 10px;
  }

  .f2r-cta-title {
    background: $color-primary;
    color: #ffffff;
    font-size: 24px;
    margin: -30px -20px 20px -20px;
    padding: 18px 12px;
  }

  .f2r-cta-subtitle {
    font-size: 16px;
    font-style: italic;
  }

  .bl-modal-content .mktoForm button[type="submit"] {
    font-size: 0 !important;
    width: 100%;
  }

  .bl-modal-content .mktoForm button[type="submit"]:after {
    content: "Download Now";
    font-size: 18px;
  }

  .wrapper-dark .contact-sales-container a:not(.cta-btn) {
    color: #ffffff;
    opacity: .7;
    text-decoration: underline;
  }

  @media (min-width: 480px) and (max-width: 991px) {

    .col-md-8 {
      float: left;
      width: 66.6666666667%;
    }

    .col-md-3 {
      float: left;
      width: 25%;
    }

    col-md-offset-1 {
      margin-left: 8.3333333333%;
    }

    .header-hero-banner--reduce-cycle h4 {
      font-size: 16px;
    }

    .main-content ul {
      font-size: 16px;
    }

  }

  @media (max-width: 480px) {

    .header-hero-banner img {
      display: none;
    }

    .header-hero-banner--reduce-cycle h4 {
      font-size: 16px;
    }

    .main-content ul {
      font-size: 16px;
      padding-left: 20px;
    }

  }

  /* TODO : Style the checkboxes for privacy policy etc */
  /* TODO : Style the success message */
  /* TODO : Style mobile */
  /* TODO : Style the contact section free trial text color */

}
